Can't send sync request with non-ascii in changelog -- UnicodeEncodeError: 'ascii' codec can't encode characters in position 325-327: ordinal not in range(128)

Bug #522316 reported by Loïc Minier on 2010-02-15
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Medium
Michael Bienia

Bug Description

Binary package hint: ubuntu-dev-tools

Hi

% requestsync cdebconf lucid
[...]
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <email address hidden> Wed, 23 Dec 2009 00:38:06 +0100

Do you want to edit the report [y/N]?

Vous avez besoin d'une phrase de passe pour déverrouiller la
clé secrète pour l'utilisateur: « Loïc Minier (lool) <email address hidden> »
clé de 1024 bits DSA, ID 2B0920C0, créée le 2003-02-03

Traceback (most recent call last):
  File "/usr/bin/requestsync", line 227, in <module>
    mailBug(srcpkg, subscribe, status, title, report, options.keyid)
  File "/usr/lib/pymodules/python2.6/ubuntutools/requestsync/mail.py", line 183, in mailBug
    signed_report = gpg.communicate(mailbody)[0]
  File "/usr/lib/python2.6/subprocess.py", line 691, in communicate
    return self._communicate(input)
  File "/usr/lib/python2.6/subprocess.py", line 1199, in _communicate
    bytes_written = os.write(self.stdin.fileno(), chunk)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 325-327: ordinal not in range(128)
gpg: [stdout]: write error: Relais brisé (pipe)
gpg: [stdout]: write error: Relais brisé (pipe)
gpg: iobuf_flush failed on close: erreur d'écriture

So it seems non-ascii chars in the changelog are a problem? I'm in LANG=fr_FR.UTF-8 locale.

Thanks

ProblemType: Bug
Architecture: amd64
Date: Mon Feb 15 21:46:53 2010
DistroRelease: Ubuntu 10.04
Package: ubuntu-dev-tools 0.92
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=fr_FR.UTF-8
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
SourcePackage: ubuntu-dev-tools
Uname: Linux 2.6.32-13-generic x86_64

Loïc Minier (lool) wrote :
Loïc Minier (lool) wrote :

Using the --lp backend works though.

Michael Bienia (geser) wrote :

Fixed in r585.

Changed in ubuntu-dev-tools (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Michael Bienia (geser)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.93

---------------
ubuntu-dev-tools (0.93) lucid; urgency=low

  [ Scott Moser ]
  * rename mk-sbuild-lv to mk-sbuild, support union-type=aufs

  [ Emmet Hikory ]
  * Support qemu-arm-static -> qemu-kvm-extras-static transition
  * mk-sbuild: automatically install qemu-kvm-extras-static if requested
  * mk-sbuild: conditionally install lvm2 only for lvm-snapshot schroots
  * mk-sbuild: rationalise architecture variables
  * mk-sbuild: Generalise --type support and add "file" SCHROOT_TYPE
  * mk-sbuild.1: Document the --type argument

  [ Loïc Minier ]
  * Demote qemu-kvm-extras-static to a Suggests since most people don't build
    for armel.

  [ Kees Cook ]
  * requestsync: add -C to allow manually adding changelog when missing
    (LP: #518574).
  * mk-sbuild: clean up and make slight adjustments to new lvm/dir/file logic.
  * mk-sbuild.1: update documentation to reflect alternative config file
    names for distro and schroot type overrides.
  * mk-sbuild, docs/mk-sbuild.1: document DEBOOTSTRAP_MIRROR for good
    measure, thanks to Paul Holcomb.

  [ Michael Bienia ]
  * ubuntutools/requestsync/mail.py: Encode the report to utf-8 before passing
    it to gpg for signing (LP: #522316).
  * Add support for the other LP service roots (edge is still default)
  * Depend on python-launchpadlib >= 1.5.4
  * Also check package sets for upload permissions.
  * lp-set-dup: Don't crash when accessing private bugs (LP: #525539)
  * requestsync: Subscribe 'ubuntu-release' to Feature Freeze exceptions
    (updated to current policy; LP: #532740)

  [ Michael Vogt ]
  * edit-patch: add wrapper around cdbs-edit-patch, dpatch-edit-patch, quilt
    to transparently deal with the various patch systems.

  [ Colin Watson ]
  * lp-shell: Disable default apport excepthook, as this is intended for
    interactive use.
 -- Steve Langasek <email address hidden> Fri, 05 Mar 2010 19:16:32 -0800

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers